Package org.jboss.resteasy.core.providerfactory

## Class ExtSortedKey<T>

- java.lang.Object
- - org.jboss.resteasy.core.providerfactory.SortedKey<T>
  - - org.jboss.resteasy.core.providerfactory.ExtSortedKey<T>

- All Implemented Interfaces:
    `Comparable<SortedKey<T>>`, `MediaTypeMap.Typed`

      public final class ExtSortedKey<T>
      extends SortedKey<T>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtSortedKey​(Class<?> intf, T reader, Class<?> readerClass)` |
    `ExtSortedKey​(Class<?> intf, T reader, Class<?> readerClass, boolean isBuiltin)` |
    `ExtSortedKey​(Class<?> intf, T reader, Class<?> readerClass, int priority, boolean isBuiltin)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(SortedKey<T> tMessageBodyKey)` |

    - ### Methods inherited from class org.jboss.resteasy.core.providerfactory.SortedKey

      `getObj, getPriority, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtSortedKey

          public ExtSortedKey​(Class<?> intf,
                              T reader,
                              Class<?> readerClass,
                              int priority,
                              boolean isBuiltin)

    - #### ExtSortedKey

          public ExtSortedKey​(Class<?> intf,
                              T reader,
                              Class<?> readerClass,
                              boolean isBuiltin)

    - #### ExtSortedKey

          public ExtSortedKey​(Class<?> intf,
                              T reader,
                              Class<?> readerClass)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(SortedKey<T> tMessageBodyKey)

      Specified by:
        `compareTo` in interface `Comparable<T>`
      Overrides:
        `compareTo` in class `SortedKey<T>`